Merge branch '2.9dev' into mass_testing_command_line_error

This commit is contained in:
David Cooper 2017-05-30 16:52:55 -04:00
commit 28dadbfb19
3 changed files with 7 additions and 0 deletions

View File

@ -101,6 +101,7 @@ fi
# make sure that temporary files are cleaned up after use in ANY case
trap "cleanup" QUIT EXIT
trap "child_error" USR1
readonly VERSION="2.9dev"
readonly SWCONTACT="dirk aet testssl dot sh"
@ -11180,6 +11181,7 @@ EOF
HTMLHEADER=false
JSONHEADER=false
#' Fix syntax highlight on sublime
"$CHILD_MASS_TESTING" && kill -s USR1 $PPID
exit $1
}
@ -11391,6 +11393,11 @@ cleanup () {
grep -q xtrace <<< "$SHELLOPTS" && ! "$DEBUG_ALLINONE" && exec 2>&42 42>&-
}
child_error() {
cleanup
exit 1
}
fatal() {
outln
prln_magenta "Fatal error: $1" >&2